Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003675Zandronum[All Projects] Bugpublic2019-07-06 13:352020-05-06 08:51
ReporterHexa 
Assigned Todoomjoshuaboy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0003675: Weapon lowering upon death with death camera on
DescriptionA minor visual bug where the player's current weapon plays its Deselect state upon death and lowers on screen while using the death camera. This bug was not present in Zandronum 2.1.2 and used to work correctly.
Steps To ReproduceOpen the game, turn the death camera option on and let the player die in any scenario. Any weapon regardless of mods will lower as it would in the first-person death mode.
Additional InformationI made a direct comparison of this bug between Zandronum 2.1.2 and 3.0 for a clear example (file is too large to attach):https://puu.sh/DPo90/d270611f69.mp4 [^]
Attached Filesjpg file icon Image4.jpg [^] (246,157 bytes) 2019-07-06 13:35

- Relationships
related to 0003785needs reviewEdward-san Weird behaviour with weapon sprites and coop spying 

-  Notes
User avatar (0021108)
doomjoshuaboy (developer)
2020-01-19 20:53

This bug has been related to one of the fixes from gzdoom so its needs to be tested thanks for that.
User avatar (0021262)
Ru5tK1ng (updater)
2020-04-11 01:21

Tested online and offline with r200329-1854 and the visual bug appears to be fixed.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: eagle
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2019-07-06 13:35 Hexa New Issue
2019-07-06 13:35 Hexa File Added: Image4.jpg
2020-01-19 20:53 doomjoshuaboy Note Added: 0021108
2020-01-19 20:53 doomjoshuaboy Assigned To => doomjoshuaboy
2020-01-19 20:53 doomjoshuaboy Status new => needs testing
2020-04-11 01:21 Ru5tK1ng Note Added: 0021262
2020-04-11 01:21 Ru5tK1ng Status needs testing => resolved
2020-04-11 01:21 Ru5tK1ng Resolution open => fixed
2020-04-11 01:21 Ru5tK1ng Fixed in Version => 3.1
2020-04-11 01:21 Ru5tK1ng Target Version => 3.1
2020-05-06 08:51 Edward-san Relationship added related to 0003785






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker